> ## Documentation Index
> Fetch the complete documentation index at: https://developer.uphold.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get overview

> Get the KYB overview of a business user.

export const RestEndpointSubjects = ({subjects = []}) => {
  const subjectToIconMap = {
    'client': 'browser',
    'user:individual': 'user',
    'user:business': 'briefcase'
  };
  if (subjects.length === 0) {
    return null;
  }
  return <>
      {subjects.map(subject => <a key={subject} href="/rest-apis/authentication#subjects" className="border-0 opacity-85 hover:opacity-100 transition-opacity">
          <Badge stroke size="lg" icon={subjectToIconMap[subject]} color="gray" className="mr-1">
            {subject}
          </Badge>
        </a>)}
    </>;
};

<RestEndpointSubjects subjects={["user:business"]} />

<Note>This endpoint is currently available in **Sandbox** only. It is not yet available in **Production**.</Note>

**Get overview** is the endpoint that provides a summary of the business user's KYB processes.

By default, only the `code` and `status` of each KYB process are included in the response.
If you need detailed information, you can use the `detailed` query parameter to specify the KYB processes you want more detail on, which will bring their `input` and `output` fields, as well as the full list of associated persons.

<Note>Getting the detailed KYB information is more expensive in terms of performance and should be used only when necessary.</Note>

## Overall status

The `summary` object describes the business user's overall standing, independently of the individual processes:

| Status       | Meaning                                                                                              |
| ------------ | ---------------------------------------------------------------------------------------------------- |
| `pending`    | The platform is still expecting information from the business.                                       |
| `ok`         | The business has been verified.                                                                      |
| `restricted` | The business has been verified but the platform has limited certain [capabilities](../capabilities). |
| `blocked`    | The business is not allowed to operate on the platform.                                              |

The accompanying `reason` field carries additional context for the current status, and is `none` when there is nothing further to report.


## OpenAPI

````yaml _media/specs/core-openapi.mintlify.json get /core/kyb
openapi: 3.1.0
info:
  version: 0.1.0
  title: Core API
  description: >-
    The Core API provides essential building blocks that empower businesses to
    embed financial services into their applications.
  contact:
    name: Uphold API Team
    email: developers@uphold.com
    url: https://developer.uphold.com
servers:
  - url: https://api.enterprise.sandbox.uphold.com
    description: Sandbox
  - url: https://api.enterprise.uphold.com
    description: Production
security:
  - OAuth2: []
tags:
  - name: Authentication
    description: Authentication.
  - name: Countries
    description: Countries.
  - name: Users
    description: Users.
  - name: KYC
    description: Individual User's KYC.
  - name: KYB
    description: Business User's KYB.
  - name: Capabilities
    description: User capabilities.
  - name: Terms of service
    description: User terms of service.
  - name: Files
    description: Files.
  - name: Assets
    description: Assets, networks and rails.
  - name: Accounts
    description: Accounts.
  - name: External accounts
    description: External accounts.
  - name: Transactions
    description: Transactions.
  - name: Portfolio
    description: Portfolio.
  - name: Statements
    description: Statements.
  - name: Metadata
    description: Metadata.
  - name: Webhooks
    description: Webhooks.
paths:
  /core/kyb:
    get:
      tags:
        - KYB
      summary: Get overview
      description: Get the KYB overview of a business user.
      operationId: core.get-kyb-overview
      parameters:
        - $ref: '#/components/parameters/get-kyb-overview-detailed'
      responses:
        '200':
          $ref: '#/components/responses/get-kyb-overview-response'
        '409':
          $ref: '#/components/responses/get-kyb-overview-conflict-response'
      security:
        - OAuth2:
            - core.kyb:read
components:
  parameters:
    get-kyb-overview-detailed:
      name: detailed
      in: query
      description: >-
        Include detailed information about the specified KYB processes. Use this
        sparingly as its more expensive to retrieve.
      explode: false
      schema:
        type: array
        maxItems: 20
        uniqueItems: true
        items:
          type: string
          enum:
            - profile
            - documents
            - financialInstitution
            - associatedPersons
            - attestation
      examples:
        Detailed KYB Processes:
          value:
            - profile
            - documents
            - financialInstitution
            - associatedPersons
            - attestation
  responses:
    get-kyb-overview-response:
      description: KYB overview retrieved.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/kyb-overview'
          examples:
            KYB Overview OK:
              value:
                summary:
                  reason: none
                  status: ok
                processes:
                  profile:
                    code: profile
                    status: ok
                  associatedPersons:
                    code: associated-persons
                    status: ok
                  documents:
                    code: documents
                    status: ok
                  financialInstitution:
                    code: financial-institution
                    status: exempt
                  attestation:
                    code: attestation
                    status: ok
            KYB Overview OK Fully Detailed:
              value:
                summary:
                  reason: none
                  status: ok
                processes:
                  profile:
                    code: profile
                    status: ok
                    input:
                      legalEntityType: private-limited-company
                      legalEntityName: ACME Corporation
                      formationDate: '2000-01-01'
                      industry:
                        sector: ecommerce-and-retail
                        subSector: online-marketplaces
                      legalIds:
                        - type: tax-id
                          id: 99L99999
                          country: GB
                        - type: registration-id
                          id: AB123456
                          country: GB
                      registrationAddress:
                        country: GB
                        subdivision: GB-MAN
                        city: Manchester
                        line1: 1 High Street
                        line2: Northern Quarter
                        postalCode: M4 1AA
                      operatingAddress:
                        country: GB
                        subdivision: GB-MAN
                        city: Manchester
                        line1: 1 High Street
                        line2: Northern Quarter
                        postalCode: M4 1AA
                  associatedPersons:
                    code: associated-persons
                    status: ok
                    persons:
                      - id: 3a873dee-7afa-4c20-ab86-3f80c83abaf0
                        processes:
                          profile:
                            code: profile
                            status: ok
                            input:
                              type: beneficial-owner
                              fullName: John Doe
                              birthdate: '1980-01-01'
                              role: CEO
                              address:
                                line1: 123 Main St
                                line2: Suite 100
                                postalCode: '12345'
                                city: Anytown
                                subdivision: US-CA
                                country: US
                              legalIds:
                                - type: tax-id
                                  id: '123456789'
                                  country: US
                              ownershipPercentage: 100
                          identity:
                            code: identity
                            status: ok
                            type: document-submission
                            input:
                              media:
                                - context: document-front
                                  fileId: 56d398c2-cf46-4457-a491-cdc93191fd1a
                                - context: document-back
                                  fileId: 99182b79-df5c-444c-a4d8-9c841a00e9bb
                            output:
                              provider: veriff
                              document:
                                type: passport
                                number: 7700225VH
                                country: GB
                                expiresAt: '2026-03-13'
                              person:
                                givenName: John
                                familyName: Doe
                                birthdate: '1987-01-01'
                                gender: male
                              verifiedAt: '2024-01-01T00:00:00Z'
                          proofOfAddress:
                            code: proof-of-address
                            status: ok
                            type: document-submission
                            input:
                              media:
                                - context: address-proof
                                  fileId: 459c0447-8916-4bad-bb67-f2354fcfb10b
                            output:
                              provider: veriff
                              person:
                                givenName: John
                                familyName: Doe
                                address:
                                  country: GB
                                  subdivision: GB-MAN
                                  city: Manchester
                                  line1: 1 High Street
                                  line2: Northern Quarter
                                  postalCode: M4 1AA
                              verifiedAt: '2024-01-01T00:00:00Z'
                        createdAt: '2024-01-01T00:00:00Z'
                  documents:
                    code: documents
                    status: ok
                    input:
                      incorporation:
                        fileId: 56d398c2-cf46-4457-a491-cdc93191fd1a
                  financialInstitution:
                    code: financial-institution
                    status: exempt
                  attestation:
                    code: attestation
                    status: ok
                    output:
                      checks:
                        - code: business-online-presence
                          status: approved
                        - code: business-classification
                          status: approved
                        - code: business-registry
                          status: approved
                        - code: business-registrations
                          status: approved
                        - code: business-associated-persons
                          status: approved
                        - code: business-adverse-media
                          status: approved
                        - code: business-address-lookup
                          status: approved
                        - code: business-tin-database
                          status: approved
                        - code: business-screening
                          status: approved
                        - code: business-documents
                          status: approved
                        - code: licensing-verification
                          status: skipped
                        - code: associated-persons-screening
                          status: approved
                        - code: associated-persons-address-lookup
                          status: approved
                        - code: associated-persons-tin-database
                          status: approved
            KYB Overview Pending Fully Detailed:
              value:
                summary:
                  reason: none
                  status: pending
                processes:
                  profile:
                    code: profile
                    status: pending
                    input:
                      legalEntityType: private-limited-company
                      operatingAddress:
                        country: GB
                        subdivision: GB-MAN
                      registrationAddress:
                        country: GB
                        subdivision: GB-MAN
                  associatedPersons:
                    code: associated-persons
                    status: pending
                    persons: []
                  documents:
                    code: documents
                    status: pending
                    input:
                      incorporation:
                        fileId: 99182b79-df5c-444c-a4d8-9c841a00e9bb
                  financialInstitution:
                    code: financial-institution
                    status: exempt
                  attestation:
                    code: attestation
                    status: pending
      headers:
        x-uphold-request-id:
          description: >-
            A unique identifier for the request that can be shared with Uphold
            for troubleshooting purposes.
          required: true
          schema:
            type: string
            format: uuid
          examples:
            Request ID:
              value: 9092ee4d-f0fb-42e9-8787-b668dbcec531
    get-kyb-overview-conflict-response:
      description: Business logic error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          examples:
            Legacy Business User Not Allowed:
              value:
                code: operation_not_allowed
                message: >-
                  Legacy business users are not allowed to access the KYB
                  endpoints
                details:
                  reasons:
                    - legacy-business-user-not-allowed
      headers:
        x-uphold-request-id:
          description: >-
            A unique identifier for the request that can be shared with Uphold
            for troubleshooting purposes.
          required: true
          schema:
            type: string
            format: uuid
          examples:
            Request ID:
              value: 9092ee4d-f0fb-42e9-8787-b668dbcec531
  schemas:
    kyb-overview:
      type: object
      properties:
        summary:
          type: object
          properties:
            status:
              description: The overall KYB status.
              type: string
              enum:
                - blocked
                - ok
                - pending
                - restricted
            reason:
              description: Additional reason for the status.
              type: string
          required:
            - status
            - reason
        processes:
          type: object
          properties:
            profile:
              $ref: '#/components/schemas/kyb-profile'
            associatedPersons:
              $ref: '#/components/schemas/kyb-associated-persons'
            documents:
              $ref: '#/components/schemas/kyb-documents'
            financialInstitution:
              $ref: '#/components/schemas/kyb-financial-institution'
            attestation:
              $ref: '#/components/schemas/kyb-attestation'
          required:
            - profile
            - associatedPersons
            - documents
            - financialInstitution
            - attestation
      required:
        - summary
        - processes
    error:
      description: The error information.
      allOf:
        - $ref: '#/components/schemas/feedback'
    kyb-profile:
      description: The KYB profile object.
      type: object
      properties:
        code:
          description: The code of the KYB process.
          type: string
          const: profile
        status:
          $ref: '#/components/schemas/kyb-process-status'
        input:
          description: Input of the KYB process.
          type: object
          properties:
            legalEntityType:
              $ref: '#/components/schemas/business-legal-entity-type'
            legalEntityName:
              description: The full legal entity name.
              type: string
            formationDate:
              description: The date of the business formation.
              type: string
              format: date
            industry:
              $ref: '#/components/schemas/kyb-profile-industry'
            legalIds:
              type: array
              description: >-
                The legal identifiers of the business, usually
                government-issued.
              items:
                type: object
                properties:
                  type:
                    description: The type of the legal identifier.
                    type: string
                    enum:
                      - tax-id
                      - registration-id
                  id:
                    description: The legal identifier value.
                    type: string
                  country:
                    description: The country of the legal identifier.
                    type: string
                required:
                  - type
                  - id
                  - country
            registrationAddress:
              allOf:
                - $ref: '#/components/schemas/address'
                - description: The registration address of the business.
                  type: object
                  required:
                    - country
            operatingAddress:
              allOf:
                - $ref: '#/components/schemas/address'
                - description: The operating address of the business.
          required:
            - legalEntityType
            - registrationAddress
            - operatingAddress
      required:
        - code
        - status
    kyb-associated-persons:
      description: The KYB associated persons object.
      type: object
      properties:
        code:
          description: The code of the KYB process.
          type: string
          const: associated-persons
        status:
          $ref: '#/components/schemas/kyb-process-status'
        persons:
          description: The list of associated persons.
          type: array
          items:
            $ref: '#/components/schemas/kyb-associated-person'
      required:
        - code
        - status
    kyb-documents:
      description: The KYB documents object.
      type: object
      properties:
        code:
          description: The code of the KYB process.
          type: string
          const: documents
        status:
          $ref: '#/components/schemas/kyb-process-status'
        input:
          description: Input of the KYB process.
          type: object
          additionalProperties: false
          properties:
            incorporation:
              allOf:
                - $ref: '#/components/schemas/kyb-document'
                - description: The document evidencing the incorporation of the business.
            ownership:
              allOf:
                - $ref: '#/components/schemas/kyb-document'
                - description: >-
                    The document evidencing the ownership of the business, such
                    as the beneficial owners.
            control:
              allOf:
                - $ref: '#/components/schemas/kyb-document'
                - description: >-
                    The document evidencing who controls the business, such as
                    directors and/or officers.
            standing:
              allOf:
                - $ref: '#/components/schemas/kyb-document'
                - description: The document evidencing that the business is still active.
            taxIdentity:
              allOf:
                - $ref: '#/components/schemas/kyb-document'
                - description: The document evidencing the tax identity of the business.
      required:
        - code
        - status
    kyb-financial-institution:
      description: The KYB financial institution object.
      type: object
      properties:
        code:
          description: The code of the KYB process.
          type: string
          const: financial-institution
        status:
          $ref: '#/components/schemas/kyb-process-status'
        input:
          description: Input of the KYB process.
          type: object
          properties:
            regulatorsAndLicenses:
              description: >-
                Details about who the business is regulated by, and what
                licenses they have.
              type: string
            moneyTransmitterLicenses:
              description: Details about their money transmitter license (number / issuer).
              type: string
            compliancePolicies:
              $ref: '#/components/schemas/kyb-document'
            amlAudit:
              $ref: '#/components/schemas/kyb-document'
            mlroDocumentation:
              $ref: '#/components/schemas/kyb-document'
      required:
        - code
        - status
    kyb-attestation:
      description: The KYB attestation object.
      type: object
      properties:
        code:
          description: The code of the KYB process.
          type: string
          const: attestation
        status:
          $ref: '#/components/schemas/kyb-process-status'
        output:
          type: object
          description: Output of the KYB process.
          properties:
            checks:
              description: The list of checks performed as part of the KYB attestation.
              type: array
              items:
                oneOf:
                  - title: Business Online Presence
                    type: object
                    properties:
                      code:
                        type: string
                        const: business-online-presence
                      status:
                        $ref: '#/components/schemas/kyb-attestation-check-status'
                      reason:
                        description: >-
                          The reason associated with the check's current status
                          (e.g., the reason for the `rejected` status).
                        type: string
                      note:
                        description: Any additional note related to the check result.
                        type: string
                    required:
                      - code
                      - status
                  - title: Business Classification
                    type: object
                    properties:
                      code:
                        type: string
                        const: business-classification
                      status:
                        $ref: '#/components/schemas/kyb-attestation-check-status'
                      reason:
                        description: >-
                          The reason associated with the check's current status
                          (e.g., the reason for the `rejected` status).
                        type: string
                      note:
                        description: Any additional note related to the check result.
                        type: string
                    required:
                      - code
                      - status
                  - title: Business Registry
                    type: object
                    properties:
                      code:
                        type: string
                        const: business-registry
                      status:
                        $ref: '#/components/schemas/kyb-attestation-check-status'
                      reason:
                        description: >-
                          The reason associated with the check's current status
                          (e.g., the reason for the `rejected` status).
                        type: string
                      note:
                        description: Any additional note related to the check result.
                        type: string
                    required:
                      - code
                      - status
                  - title: Business Registrations
                    type: object
                    properties:
                      code:
                        type: string
                        const: business-registrations
                      status:
                        $ref: '#/components/schemas/kyb-attestation-check-status'
                      reason:
                        description: >-
                          The reason associated with the check's current status
                          (e.g., the reason for the `rejected` status).
                        type: string
                      note:
                        description: Any additional note related to the check result.
                        type: string
                    required:
                      - code
                      - status
                  - title: Business Associated Persons
                    type: object
                    properties:
                      code:
                        type: string
                        const: business-associated-persons
                      status:
                        $ref: '#/components/schemas/kyb-attestation-check-status'
                      reason:
                        description: >-
                          The reason associated with the check's current status
                          (e.g., the reason for the `rejected` status).
                        type: string
                      note:
                        description: Any additional note related to the check result.
                        type: string
                    required:
                      - code
                      - status
                  - title: Business Adverse Media
                    type: object
                    properties:
                      code:
                        type: string
                        const: business-adverse-media
                      status:
                        $ref: '#/components/schemas/kyb-attestation-check-status'
                      reason:
                        description: >-
                          The reason associated with the check's current status
                          (e.g., the reason for the `rejected` status).
                        type: string
                      note:
                        description: Any additional note related to the check result.
                        type: string
                    required:
                      - code
                      - status
                  - title: Business Address Lookup
                    type: object
                    properties:
                      code:
                        type: string
                        const: business-address-lookup
                      status:
                        $ref: '#/components/schemas/kyb-attestation-check-status'
                      reason:
                        description: >-
                          The reason associated with the check's current status
                          (e.g., the reason for the `rejected` status).
                        type: string
                      note:
                        description: Any additional note related to the check result.
                        type: string
                    required:
                      - code
                      - status
                  - title: Business TIN Database
                    type: object
                    properties:
                      code:
                        type: string
                        const: business-tin-database
                      status:
                        $ref: '#/components/schemas/kyb-attestation-check-status'
                      reason:
                        description: >-
                          The reason associated with the check's current status
                          (e.g., the reason for the `rejected` status).
                        type: string
                      note:
                        description: Any additional note related to the check result.
                        type: string
                    required:
                      - code
                      - status
                  - title: Business Screening
                    type: object
                    properties:
                      code:
                        type: string
                        const: business-screening
                      status:
                        $ref: '#/components/schemas/kyb-attestation-check-status'
                      reason:
                        description: >-
                          The reason associated with the check's current status
                          (e.g., the reason for the `rejected` status).
                        type: string
                      note:
                        description: Any additional note related to the check result.
                        type: string
                    required:
                      - code
                      - status
                  - title: Business Documents
                    type: object
                    properties:
                      code:
                        type: string
                        const: business-documents
                      status:
                        $ref: '#/components/schemas/kyb-attestation-check-status'
                      reason:
                        description: >-
                          The reason associated with the check's current status
                          (e.g., the reason for the `rejected` status).
                        type: string
                      note:
                        description: Any additional note related to the check result.
                        type: string
                    required:
                      - code
                      - status
                  - title: Licensing Verification
                    type: object
                    properties:
                      code:
                        type: string
                        const: licensing-verification
                      status:
                        $ref: '#/components/schemas/kyb-attestation-check-status'
                      reason:
                        description: >-
                          The reason associated with the check's current status
                          (e.g., the reason for the `rejected` status).
                        type: string
                      note:
                        description: Any additional note related to the check result.
                        type: string
                    required:
                      - code
                      - status
                  - title: Associated Persons Screening
                    type: object
                    properties:
                      code:
                        type: string
                        const: associated-persons-screening
                      status:
                        $ref: '#/components/schemas/kyb-attestation-check-status'
                      reason:
                        description: >-
                          The reason associated with the check's current status
                          (e.g., the reason for the `rejected` status).
                        type: string
                      note:
                        description: Any additional note related to the check result.
                        type: string
                    required:
                      - code
                      - status
                  - title: Associated Persons Address Lookup
                    type: object
                    properties:
                      code:
                        type: string
                        const: associated-persons-address-lookup
                      status:
                        $ref: '#/components/schemas/kyb-attestation-check-status'
                      reason:
                        description: >-
                          The reason associated with the check's current status
                          (e.g., the reason for the `rejected` status).
                        type: string
                      note:
                        description: Any additional note related to the check result.
                        type: string
                    required:
                      - code
                      - status
                  - title: Associated Persons TIN Database
                    type: object
                    properties:
                      code:
                        type: string
                        const: associated-persons-tin-database
                      status:
                        $ref: '#/components/schemas/kyb-attestation-check-status'
                      reason:
                        description: >-
                          The reason associated with the check's current status
                          (e.g., the reason for the `rejected` status).
                        type: string
                      note:
                        description: Any additional note related to the check result.
                        type: string
                    required:
                      - code
                      - status
          required:
            - checks
      required:
        - code
        - status
    feedback:
      description: A feedback message with a code and human-readable description.
      type: object
      properties:
        code:
          description: A short string with a brief explanation about the code reported.
          type: string
        message:
          description: A human-readable message providing more details.
          type: string
        details:
          description: Additional information about the feedback reported.
          type: object
          additionalProperties: true
      required:
        - code
        - message
    kyb-process-status:
      description: Status of the KYB process.
      type: string
      enum:
        - ok
        - failed
        - running
        - pending
        - exempt
    business-legal-entity-type:
      type: string
      description: Business legal form/classification.
      enum:
        - government-entity
        - non-profit
        - partnership
        - private-limited-company
        - public-company
        - sole-proprietor
    kyb-profile-industry:
      oneOf:
        - $ref: '#/components/schemas/kyb-profile-industry-base'
        - title: Other
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: other
            otherSector:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: Free-form description of the sector and sub-sector.
                  type: string
          required:
            - sector
    address:
      description: The address information.
      type: object
      properties:
        country:
          description: The country of the address.
          type: string
        subdivision:
          description: The subdivision of the address.
          type: string
        city:
          description: The city of the address.
          type: string
        line1:
          description: The first line of the address.
          type: string
        line2:
          description: The second line of the address.
          type: string
        postalCode:
          description: The postal code of the address.
          type: string
    kyb-associated-person:
      type: object
      properties:
        id:
          description: The unique identifier for the associated person.
          type: string
          format: uuid
        processes:
          $ref: '#/components/schemas/kyb-associated-person-processes'
        createdAt:
          description: The date and time when the associated person was created.
          type: string
          format: date-time
      required:
        - id
        - processes
        - createdAt
    kyb-document:
      type: object
      additionalProperties: false
      properties:
        fileId:
          description: The id of the file.
          type: string
          format: uuid
      required:
        - fileId
    kyb-attestation-check-status:
      description: The status of the check
      type: string
      enum:
        - not-started
        - skipped
        - in-progress
        - in-review
        - approved
        - rejected
    kyb-profile-industry-base:
      description: >-
        The industry classification of the business. Allowed `subSector` values
        depend on the selected `sector`.
      oneOf:
        - title: Financial Institutions and Money Services
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: financial-institutions-and-money-services
            subSector:
              type: string
              enum:
                - money-transmitters
                - remittance-services
                - vasp-casp
                - payment-processors
                - fx-providers
                - other-regulated-nbfi
          required:
            - sector
        - title: Crypto Services and Products
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: crypto-services-and-products
            subSector:
              type: string
              enum:
                - exchanges
                - custodial-wallet-providers
                - non-custodial-wallet-providers
                - miners
                - nft-platforms
                - defi-projects
          required:
            - sector
        - title: Personal Investment Vehicles
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: personal-investment-vehicles
            subSector:
              type: string
              enum:
                - private-trusts
                - roth-ira
                - llc-spe-for-holding-assets
          required:
            - sector
        - title: Family Offices and Investment Funds
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: family-offices-and-investment-funds
            subSector:
              type: string
              enum:
                - family-offices
                - pooled-investment-vehicles
                - private-investment-funds
          required:
            - sector
        - title: Professional Services
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: professional-services
            subSector:
              type: string
              enum:
                - law-firms
                - accounting-firms
                - consultants
                - company-formation-or-secretarial-services
          required:
            - sector
        - title: Technology and Software
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: technology-and-software
            subSector:
              type: string
              enum:
                - it-services
                - saas
                - gaming-studios
                - cybersecurity
                - data-analytics
                - ai-firms
          required:
            - sector
        - title: E-commerce and Retail
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: ecommerce-and-retail
            subSector:
              type: string
              enum:
                - online-marketplaces
                - merchants
                - wholesalers
                - direct-to-consumer-retailers
          required:
            - sector
        - title: Real Estate and Property Management
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: real-estate-and-property-management
            subSector:
              type: string
              enum:
                - brokerages
                - property-developers
                - management-companies
                - investment-vehicles
          required:
            - sector
        - title: High-Value Goods and Luxury Dealers
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: high-value-goods-and-luxury-dealers
            subSector:
              type: string
              enum:
                - jewelry
                - art
                - precious-metals
                - automobiles
                - auction-houses
          required:
            - sector
    string-no-edge-spaces:
      type: string
      pattern: ^\S.*\S$|^\S$
    kyb-associated-person-processes:
      description: The processes for an associated person.
      type: object
      properties:
        profile:
          $ref: '#/components/schemas/kyb-associated-person-profile'
        identity:
          $ref: '#/components/schemas/kyb-associated-person-identity'
        proofOfAddress:
          $ref: '#/components/schemas/kyb-associated-person-proof-of-address'
      required:
        - profile
        - identity
        - proofOfAddress
    kyb-associated-person-profile:
      description: The profile process for an associated person.
      type: object
      properties:
        code:
          description: The code of the KYB process.
          type: string
          const: profile
        status:
          $ref: '#/components/schemas/kyb-process-status'
        input:
          type: object
          discriminator:
            propertyName: type
            mapping:
              beneficial-owner:
                $ref: >-
                  #/components/schemas/kyb-associated-person-profile-input-beneficial-owner
              authorized-signer:
                $ref: >-
                  #/components/schemas/kyb-associated-person-profile-input-authorized-signer
              beneficial-owner-and-authorized-signer:
                $ref: >-
                  #/components/schemas/kyb-associated-person-profile-input-beneficial-owner-and-authorized-signer
          oneOf:
            - $ref: >-
                #/components/schemas/kyb-associated-person-profile-input-beneficial-owner
            - $ref: >-
                #/components/schemas/kyb-associated-person-profile-input-authorized-signer
            - $ref: >-
                #/components/schemas/kyb-associated-person-profile-input-beneficial-owner-and-authorized-signer
      required:
        - code
        - status
    kyb-associated-person-identity:
      type: object
      discriminator:
        propertyName: type
        mapping:
          none:
            $ref: '#/components/schemas/kyb-associated-person-identity-none'
          document-submission:
            $ref: >-
              #/components/schemas/kyb-associated-person-identity-document-submission
      oneOf:
        - $ref: '#/components/schemas/kyb-associated-person-identity-none'
          title: None
        - $ref: >-
            #/components/schemas/kyb-associated-person-identity-document-submission
          title: Document submission
    kyb-associated-person-proof-of-address:
      type: object
      discriminator:
        propertyName: type
        mapping:
          none:
            $ref: '#/components/schemas/kyb-associated-person-proof-of-address-none'
          document-submission:
            $ref: >-
              #/components/schemas/kyb-associated-person-proof-of-address-document-submission
      oneOf:
        - $ref: '#/components/schemas/kyb-associated-person-proof-of-address-none'
          title: None
        - $ref: >-
            #/components/schemas/kyb-associated-person-proof-of-address-document-submission
          title: Document submission
    kyb-associated-person-profile-input-beneficial-owner:
      description: Request to create a beneficial owner.
      allOf:
        - $ref: '#/components/schemas/kyb-associated-person-profile-input-base'
        - type: object
          properties:
            type:
              type: string
              const: beneficial-owner
            ownershipPercentage:
              description: The ownership percentage for this beneficial owner.
              type: number
              exclusiveMinimum: 0
              maximum: 100
          required:
            - type
    kyb-associated-person-profile-input-authorized-signer:
      description: Request to create an authorized signer.
      allOf:
        - $ref: '#/components/schemas/kyb-associated-person-profile-input-base'
        - type: object
          properties:
            type:
              type: string
              const: authorized-signer
          required:
            - type
    kyb-associated-person-profile-input-beneficial-owner-and-authorized-signer:
      description: Request to create a beneficial owner and authorized signer.
      allOf:
        - $ref: '#/components/schemas/kyb-associated-person-profile-input-base'
        - type: object
          properties:
            type:
              type: string
              const: beneficial-owner-and-authorized-signer
            ownershipPercentage:
              description: The ownership percentage for this beneficial owner.
              type: number
              exclusiveMinimum: 0
              maximum: 100
          required:
            - type
    kyb-associated-person-identity-none:
      title: None
      description: The identity process for an associated person.
      type: object
      properties:
        code:
          description: The code of the KYB process.
          type: string
          const: identity
        status:
          $ref: '#/components/schemas/kyb-process-status'
        type:
          description: The identity submission type.
          type: string
          enum:
            - none
      required:
        - code
        - status
        - type
    kyb-associated-person-identity-document-submission:
      title: Document Submission
      description: The identity process for an associated person.
      type: object
      properties:
        code:
          description: The code of the KYB process.
          type: string
          const: identity
        status:
          $ref: '#/components/schemas/kyb-process-status'
        type:
          description: The identity submission type.
          type: string
          enum:
            - document-submission
        input:
          description: Input of the KYB process.
          type: object
          properties:
            media:
              description: The media that was used to verify the identity.
              type: array
              items:
                type: object
                properties:
                  context:
                    description: The context of the file.
                    type: string
                    enum:
                      - document-front
                      - document-back
                  fileId:
                    description: The id of the file.
                    type: string
                    format: uuid
        output:
          description: Output of the KYB process.
          type: object
          properties:
            provider:
              description: The provider used to verify the KYB process.
              type: string
            reason:
              description: The reason associated with the verification.
              type: string
              enum:
                - data-mismatch
                - document-expired
                - document-not-readable
                - duplicate
                - missing-declared-information
                - underage
                - timeout
                - unknown
            document:
              description: The identity document information.
              type: object
              properties:
                type:
                  description: The type of the document.
                  type: string
                  enum:
                    - driving-license
                    - id-card
                    - passport
                    - residence-permit
                    - unsupported
                number:
                  description: The number of the document.
                  type: string
                country:
                  description: The country of the document.
                  type: string
                expiresAt:
                  description: The expiration date of the document.
                  type: string
                  format: date
              required:
                - type
                - number
                - country
            person:
              description: The person information.
              type: object
              properties:
                givenName:
                  description: The person's given name.
                  type: string
                familyName:
                  description: The person's family name or surname.
                  type: string
                birthdate:
                  description: The date of birth.
                  type: string
                  format: date
                gender:
                  description: The gender.
                  type: string
                  enum:
                    - female
                    - male
                address:
                  allOf:
                    - $ref: '#/components/schemas/address'
                    - type: object
                      required:
                        - country
              required:
                - givenName
                - birthdate
            verifiedAt:
              description: The date and time of the verification.
              type: string
              format: date-time
          required:
            - provider
      required:
        - code
        - status
        - type
    kyb-associated-person-proof-of-address-none:
      title: None
      description: The proof-of-address process for an associated person.
      type: object
      properties:
        code:
          description: The code of the KYB process.
          type: string
          const: proof-of-address
        status:
          $ref: '#/components/schemas/kyb-process-status'
        type:
          description: The proof-of-address submission type.
          type: string
          enum:
            - none
      required:
        - code
        - status
        - type
    kyb-associated-person-proof-of-address-document-submission:
      title: Document Submission
      description: The proof-of-address process for an associated person.
      type: object
      properties:
        code:
          description: The code of the KYB process.
          type: string
          const: proof-of-address
        status:
          $ref: '#/components/schemas/kyb-process-status'
        type:
          description: The proof-of-address submission type.
          type: string
          enum:
            - document-submission
        input:
          description: Input of the KYB process.
          type: object
          properties:
            media:
              description: The media that was used to verify the address.
              type: array
              items:
                type: object
                properties:
                  context:
                    description: The context of the file.
                    type: string
                    enum:
                      - address-proof
                  fileId:
                    description: The id of the file.
                    type: string
                    format: uuid
        output:
          description: Output of the KYB process.
          type: object
          properties:
            provider:
              description: The provider used to verify the KYB process.
              type: string
            reason:
              description: The reason associated with the verification.
              type: string
              enum:
                - address-mismatch
                - name-mismatch
            person:
              description: The person information.
              type: object
              properties:
                givenName:
                  description: The person's given name.
                  type: string
                familyName:
                  description: The person's family name or surname.
                  type: string
                address:
                  allOf:
                    - $ref: '#/components/schemas/address'
                    - type: object
                      required:
                        - country
              required:
                - givenName
                - address
            verifiedAt:
              description: The date and time of the verification.
              type: string
              format: date-time
          required:
            - provider
            - person
            - verifiedAt
      required:
        - code
        - status
        - type
    kyb-associated-person-profile-input-base:
      type: object
      properties:
        fullName:
          description: The full name of the associated person.
          type: string
        role:
          description: The role of the associated person in the business (e.g., CFO, CEO).
          type: string
        address:
          allOf:
            - $ref: '#/components/schemas/address'
            - description: The address of the associated person.
        birthdate:
          description: The birthdate of the associated person.
          type: string
          format: date
        birthplace:
          description: The place of birth of the associated person.
          type: object
          properties:
            town:
              description: The town of birth.
              type: string
            country:
              description: The country of birth.
              type: string
          required:
            - town
            - country
        legalIds:
          description: The legal identifiers of the associated person.
          type: array
          items:
            type: object
            properties:
              type:
                description: The type of the legal identifier.
                type: string
                enum:
                  - tax-id
              country:
                allOf:
                  - $ref: '#/components/schemas/string-no-edge-spaces'
                  - description: The country that issued the tax ID.
                    type: string
              id:
                allOf:
                  - $ref: '#/components/schemas/string-no-edge-spaces'
                  - description: The tax ID value.
                    type: string
            required:
              - country
              - id
  securitySchemes:
    OAuth2:
      type: oauth2
      description: OAuth 2.0 authentication.
      flows:
        clientCredentials:
          tokenUrl: /core/oauth2/token
          scopes:
            core.users:act-on-behalf-of: Grants access to act on behalf of a user
            core.users:create: Grants access to create users
            core.users:read: Grants access to view users
            core.users:delete: Grants access to delete users
            core.users.metadata:read: Grants access to view user metadata
            core.users.metadata:write: Grants access to modify user metadata
            core.kyc:read: Grants access to view KYC processes
            core.kyc.profile:update: Grants access to update profile KYC process
            core.kyc.address:update: Grants access to update address KYC process
            core.kyc.email:update: Grants access to update email KYC process
            core.kyc.phone:update: Grants access to update phone KYC process
            core.kyc.identity:update: Grants access to update identity KYC process
            core.kyc.proof-of-address:update: Grants access to update proof-of-address KYC process
            core.kyc.customer-due-diligence:update: Grants access to update customer due diligence KYC process
            core.kyc.enhanced-due-diligence:update: Grants access to update enhanced due diligence KYC process
            core.kyc.crypto-risk-assessment:update: Grants access to update crypto risk assessment KYC process
            core.kyc.self-categorization-statement:update: Grants access to update self-categorization statement KYC process
            core.kyc.tax-details:update: Grants access to update tax details KYC process
            core.kyb:read: Grants access to view KYB processes
            core.kyb.profile:update: Grants access to update profile KYB process
            core.kyb.documents:update: Grants access to update documents KYB process
            core.kyb.financial-institution:update: Grants access to update financial institution KYB process
            core.kyb.associated-persons:create: Grants access to create KYB associated persons
            core.kyb.associated-persons:read: Grants access to view KYB associated persons
            core.kyb.associated-persons:delete: Grants access to delete KYB associated persons
            core.kyb.associated-persons.profile:update: Grants access to update profile KYB associated person process
            core.kyb.associated-persons.identity:update: Grants access to update identity KYB associated person process
            core.kyb.associated-persons.proof-of-address:update: >-
              Grants access to update proof-of-address KYB associated person
              process
            core.kyb.attestation:trigger: Grants access to trigger the attestation process
            core.capabilities:read: Grants access to view user capabilities
            core.terms-of-service:read: Grants access to view terms of service
            core.terms-of-service:accept: Grants access to accept terms of service
            core.files:create: Grants access to create files
            core.files:read: Grants access to view files
            core.files.metadata:read: Grants access to view files metadata
            core.files.metadata:write: Grants access to modify files metadata
            core.accounts:create: Grants access to create accounts
            core.accounts:read: Grants access to view accounts
            core.accounts:update: Grants access to update accounts
            core.accounts:archive: Grants access to archive accounts
            core.accounts:deposit-method: >-
              Grants access to deposit method needed for depositing into
              accounts
            core.accounts:use-test-helpers: Grants access to test helpers of accounts
            core.accounts.metadata:read: Grants access to view accounts metadata
            core.accounts.metadata:write: Grants access to modify accounts metadata
            core.assets:use-test-helpers: Grants access to test helpers of assets
            core.external-accounts:create: Grants access to create external accounts
            core.external-accounts:read: Grants access to view external accounts
            core.external-accounts:update: Grants access to update external accounts
            core.external-accounts:delete: Grants access to delete external accounts
            core.external-accounts.metadata:read: Grants access to view external accounts metadata
            core.external-accounts.metadata:write: Grants access to modify external accounts metadata
            core.transactions:create: Grants access to commit quotes
            core.transactions:read: Grants access to view transactions
            core.transactions.metadata:read: Grants access to view transactions metadata
            core.transactions.metadata:write: Grants access to modify transactions metadata
            core.transactions.requests-for-information:read: Grants access to view transactions requests for information
            core.transactions.requests-for-information:update: Grants access to update transactions requests for information
            core.portfolio:read: >-
              Grants access to view portfolio overview, performance, and
              historical balance
            core.statements:read: Grants access to read statements
            core.webhooks:management-link: Grants access to create webhook management links

````